tools_config
Create Tool Configs
Endpoint to create a new tool config.
POST
/
api
/
tools_config
Create Tool Configs
curl --request POST \
--url https://api.example.com/api/tools_config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_config_name": "<string>",
"tool_name": "<string>",
"tool_category": "<string>",
"organization_id": "<string>",
"owner_id": "<string>",
"tool_config_params": {},
"status": "active",
"tool_config_type": "active",
"project_id": "thaink2",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/tools_config"
payload = {
"tool_config_name": "<string>",
"tool_name": "<string>",
"tool_category": "<string>",
"organization_id": "<string>",
"owner_id": "<string>",
"tool_config_params": {},
"status": "active",
"tool_config_type": "active",
"project_id": "thaink2",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool_config_name: '<string>',
tool_name: '<string>',
tool_category: '<string>',
organization_id: '<string>',
owner_id: '<string>',
tool_config_params: {},
status: 'active',
tool_config_type: 'active',
project_id: 'thaink2',
tags: ['<string>']
})
};
fetch('https://api.example.com/api/tools_config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Schema for creating a new tool_config.
Response
Successful Response
Related topics
Delete Tool ConfigsGet Tool ConfigsList Tool ConfigsUpdate Tool ConfigsList database tool configurations⌘I
Create Tool Configs
